-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

---------------------------------------------------------
--                      Halflings                      --
---------------------------------------------------------
newBirthDescriptor{
	type = "race",
	name = "Goblin",
	desc = {
		"Halflings are a race of very short stature, rarely exceeding four feet in height.",
		"Most of them are happy to live a quiet life of farming and gardening, yet they are not to be taken lightly.",
		"Halfling armies have brought many kingdoms to their knees and they kept a balance of power with the Human kingdoms during the Age of Allure.",
		"Halflings are agile, lucky, and resilient but lacking in strength.",
	},
	descriptor_choices =
	{
		subrace =
		{
			__ALL__ = "disallow",
			Goblin = "allow",
		},
	},
	copy = {
		faction = "allied-kingdoms",
		type = "humanoid", subtype="Goblin",
		default_wilderness = {"playerpop", "allied"},
		starting_zone = "trollmire",
		starting_quest = "start-allied",
		starting_intro = "halfling",
		size_category = 2,
		resolvers.inscription("INFUSION:_REGENERATION", {cooldown=10, dur=5, heal=60}),
		resolvers.inscription("INFUSION:_WILD", {cooldown=12, what={poison=true}, dur=4, power=14}),
		resolvers.inventory{ id=true, {defined="ORB_SCRYING"} },
		resolvers.generic(function(e) e.hotkey[10] = {"inventory", "Orb of Scrying"} end),
	},
	random_escort_possibilities = { {"trollmire", 2, 5}, {"ruins-kor-pul", 1, 4}, {"daikara", 1, 7}, {"old-forest", 1, 7}, {"dreadfell", 1, 8}, {"iron-throne", 1, 1}, },
}

---------------------------------------------------------
--                      Halflings                      --
---------------------------------------------------------
newBirthDescriptor
{
	type = "subrace",
	name = "Goblin",
	desc = {
		"THEY EXIST",
		"deal with it",
		"DEADBEAF",
		"DEADBEAF",
		"#GOLD#Stat modifiers:",
		"#LIGHT_BLUE# * -3 Strength, +4 Dexterity, -2 Constitution",
		"#LIGHT_BLUE# * +0 Magic, +0 Willpower, +6 Cunning",
		"#GOLD#Life per level:#LIGHT_BLUE# 10",
		"#GOLD#Experience penalty:#LIGHT_BLUE# 20%",
	},
	inc_stats = { str=-3, dex=4, con=-2, cun=6, },
	experience = 1.20,
	talents_types = { ["race/goblin"]={true, 0} },
	talents = {
		[ActorTalents.T_GOBLIN_DAM]=1,
	},
	copy = {
		life_rating = 10,
	},
}
